select
    an.numero as MATRIZ,
    coalesce(tou.numero, paiemb.numero) as TOURO,
    cob.data as "DATA_IA/COB",
   (prevpar.dtpartoprovavel - 60) as secagem_prevista, 
   (prevpar.dtpartoprovavel - 30) as "DATA_PR_PARTO",
   prevpar.dtpartoprovavel as "PARTO_PROVVEL",
   pes.nome as inseminador,   
   tr.descricao as tipo_cob,    
    (case when (cob.condicaoia = 'N') then 'Cio natural' when (cob.condicaoia = 'P') then 'Prostaglandina' when
            (cob.condicaoia = 'I') then 'Protocolo IATF' else null end) as "COND_IA/COB"
from
    animal an
    join sp_categoriaanimal(current_date,'') sp on sp.animal = an.cdanimal
    left join reproducao cob on cob.cdreproducao =
            (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and re.cdtiporeproducao in (1,2,3)
                    order by re.data desc)
    left join animal tou on tou.cdanimal = cob.cdreprodutor
    left join animal emb on emb.cdanimal = cob.cdembriao
    left join animal paiemb on paiemb.cdanimal = emb.cdpai
    left join tiporeproducao tr on tr.cdtiporeproducao = cob.cdtiporeproducao
    left join reproducao prevpar on prevpar.cdreproducao =
            (select first 1 re.cdreproducao from reproducao re where re.cdanimal = an.cdanimal and
                    (re.cdtiporeproducao = 4 and re.diagnostico = 'P') order by re.data desc)
    left join pessoa pes on pes.cdpessoa = cob.cdpessoa
 where
    sp.creprodutiva = 3 and
    an.dtbaixa is null and
    an.animalrebanho = '1' and
    an.tipoanimal = 'A'
order by
   prevpar.dtpartoprovavel
